Bug 1274 - 'su' reads pwd from stdin
'su' reads pwd from stdin
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: sh-utils (Show other bugs)
5.2
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Cristian Gafton
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-02-22 03:10 EST by borgia
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-03-31 15:51:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description borgia 1999-02-22 03:10:01 EST
The fact that 'su' reads the password from stdin allows any
user to fake a login prompt and collect other users'
passwords. I've not been able to get a shell out of this
bug, but execution of commands as another user is indeed
possible.
Solution: compile 'su' so that it does not read the password
from stdin (as other dists do)
Comment 1 Jay Turner 1999-03-26 15:09:59 EST
Erik please verify if this is incorrect, and please close it if so.
Comment 2 Jay Turner 1999-03-26 15:36:59 EST
Christian, look at this and verify that is incorrect, if so then
please close it.
Comment 3 Erik Troan 1999-03-31 15:51:59 EST
fixed in sh-utils-1.16-18

Note You need to log in before you can comment on or make changes to this bug.